Error -222 when trying to SSO enable HLLAPI compliant terminal emulator

  • 7940099
  • 19-Aug-2009
  • 26-Apr-2012

Environment

SecureLogin
SecureLogin SSO
All Versions
MS AD, LDAP, NT4, Citrix, Terminal Services


Situation

User is trying to SSO enable a terminal emulator using Terminal Launcher and is receiving error -222 when launching it.

Resolution

Root Cause

The -222 error occurs if the wrong HLLAPI DLL file has been selected, or the wrong HLLAPI function has been specified (e.g. HLLAPI or WinHLLAPI), whilst configuring the terminal emulator using SecureLogin’s Terminal Launcher.

Solution

To correct this error, you must specify the correct DLL or function in Terminal Launcher. Check

C:\Program Files\ActivIdentity\SecureLogin\TLAUNCH.INI for a quick reference to the functions and dlls used by other emulators.

Depends.exe is a third party software product that can be used to find the correct DLL and associated function. If you continue to have problems, contact technical support who will assist you with enabling the emulator.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.